Sortie de RequireJS 2.1.13

Le , par vermine, Responsable Jeux-Concours
Sortie de RequireJS 2.1.13


James Burke sort la révision 2.1.13 parce qu'il y a eu une régression avec la version précédente. Cela concerne la normalisation de l'ID et la méthode dotTrim. Vous trouverez plus d'information ici.

Il est plus que suggéré de passer directement à cette nouvelle version.

Téléchargement.

Source : l'article de James Burke.


Vous avez aimé cette actualité ? Alors partagez-la avec vos amis en cliquant sur les boutons ci-dessous :


 Poster une réponse

Avatar de vermine vermine - Responsable Jeux-Concours https://www.developpez.com
le 05/06/2014 à 16:34
Sortie de RequireJS 2.1.14


James Burke sort déjà la révision 2.1.14. Et pour cause, il y avait d'autres régressions amenées par la révision 2.1.12.

La première correction concerne encore une fois la normalisation des ID mais lorsqu'il y a plusieurs modules (par exemple: "pluginA!pluginbB!resource").

La seconde correction porte sur l'optimiseur et la détection de code UMD.

Téléchargement.

Source : l'article de James Burke.
Avatar de vermine vermine - Responsable Jeux-Concours https://www.developpez.com
le 12/09/2014 à 10:42
Sortie de RequireJS 2.1.15


James Burke a sorti la révision 2.1.15. Elle porte sur l'optimiseur r.js et une régression apportée par la version précédente. Des appels à Define() n'étaient pas tous fonctionnels.

Téléchargement.

Source : l'article de James Burke.
Contacter le responsable de la rubrique JavaScript